#ifdef SSL_SUPPORT
#include <boost/asio/io_service.hpp>
#include <boost/asio/ssl.hpp>
#include "socket_ssl.h"

namespace simple_http
{
	socket_ssl::socket_ssl(boost::asio::io_service& ios)
		:base_sock_(ios),
		context_(ios, boost::asio::ssl::context::sslv23),
		socket_(base_sock_, context_)
	{
		socket_.set_verify_mode(boost::asio::ssl::verify_none);
	}

	boost::asio::basic_socket<boost::asio::ip::tcp, boost::asio::stream_socket_service<boost::asio::ip::tcp> >& socket_ssl::connect_socket()
	{
		return socket_.lowest_layer();
	}
}
#endif
