#pragma once
#include <boost/regex.hpp>
#include <boost/thread/mutex.hpp>

namespace simple_http
{
	extern const boost::regex cookie_regex;
	extern const boost::regex cookie_param_regex;
	extern const boost::regex cookie_expiry_date;
	extern const boost::regex header_regex;
	extern const boost::regex domain_regex;
	extern const boost::regex ip_address_regex;

	extern const boost::regex full_name_regex;
	extern const boost::regex full_name_ip_regex;

	extern const boost::regex headers_end_regex;

	extern boost::mutex static_mutex;
}
