#include <iostream>
#include <string>
#include <boost/regex.hpp>
#include <simple_http/simple_http.h>
#include <simple_http/http_endpoint.h>
#include <simple_http/cookie_manager.h>
#include <simple_http/http_error.h>

#pragma comment(lib, "simple_http.lib")
#pragma comment(lib, "libeay32.lib")
#pragma comment(lib, "ssleay32.lib")

int main()
{
	std::string login = " ";
	std::string password = " ";

	try
	{
		simple_http::http_sync_connection conn;
		simple_http::cookie_manager manager; //  cookies
		conn.set_auto_cookie_manager(manager); //   HTTP-

		conn.get(simple_http::http_endpoint::from_string("https://forum.antichat.ru/index.php"));

		conn.add_query_header("Referer", "https://forum.antichat.ru/index.php?");
		conn.enable_auto_urlencode();
		std::string login_page = conn.post(
			simple_http::http_endpoint::from_string("https://forum.antichat.ru/login.php?do=login&cookieuser=1&forceredirect=1&s=&vb_login_username=" + login + "&vb_login_password=" + password));

		if(login_page.find(",  , ") != std::string::npos)
		{
			std::cout << "Correct login and password" << std::endl;

			std::string index_page = conn.get(simple_http::http_endpoint::from_string("https://forum.antichat.ru/index.php"));

			static boost::regex pm_match(" </a> \\(<b>(\\d+)</b>/(\\d+)\\)");
			boost::smatch what;
			if(boost::regex_search(index_page, what, pm_match))
				std::cout << "New PMs: " << what[1].str() << ", total PMs: " << what[2].str() << std::endl;
		}
		else
		{
			std::cout << "Incorrect login or password" << std::endl;
		}
	}
	catch(const simple_http::http_error& e)
	{
		std::cout << "Error: " << e.what() << std::endl;
	}

	return 0;
}
