#pragma once
#include <string>
#include <map>
#include "simple_http_defs.h"

namespace simple_http
{
	class cookie_manager;
	void get_headers(const std::string& http_answer, std::map<std::string, std::string>& headers);
	std::string get_headers(const std::string& http_answer);
	std::string get_body(const std::string& http_answer);
	void get_cookies(const std::string& http_headers, cookie_manager& manager, const std::string& domain = "", const std::string& path = "", connection_type connection = connection_dont_care);
	std::string get_cookies(const std::string& http_headers, const std::string& domain = "", const std::string& path = "", connection_type connection = connection_dont_care);
	unsigned long get_answer_code(const std::string& http_headers);
}
