#include <ctime>
#include "system.h"

namespace simple_http
{
	namespace system
	{
		tm get_utc_time()
		{
			time_t rawtime;
			time(&rawtime);
			tm ptm;
#ifdef _MSC_VER
			gmtime_s(&ptm, &rawtime);
#else
			{
				boost::mutex::scoped_lock lock(static_mutex);
				ptm = *gmtime(&rawtime);
			}
#endif
			return ptm;
		}
	}
}
